relevel {stats} | R Documentation

## Reorder Levels of Factor

### Description

The levels of a factor are re-ordered so that the level specified by `ref` is first and the others are moved down. This is useful for `contr.treatment` contrasts which take the first level as the reference.

### Usage

    relevel(x, ref, ...)

### Arguments

`x` | an unordered factor.
`ref` | the reference level, typically a string.
`...` | additional arguments for future methods.

### Details

This, as `reorder()`, is a special case of simply calling `factor(x, levels = levels(x)[....])`.

### Value

A factor of the same length as `x`.

### See Also

`factor`, `contr.treatment`, `levels`, `reorder`.

### Examples

    warpbreaks$tension <- relevel(warpbreaks$tension, ref = "M")
    summary(lm(breaks ~ wool + tension, data = warpbreaks))

[Package stats version 3.5.3 Index]